<template>
  <div>
  <div>
      <div class="card">
        <div class="card-body">
          <div class = "row">
          <div class="col-sm-3">
            <img src="https://cdn.pixabay.com/photo/2017/06/13/12/53/profile-2398782_1280.png" alt="profile" width="50" height="50">
          </div>
          <div class="col-sm-9">
            <h5 class="card-title">{{ renderuser.user.lastname}} {{ renderuser.user.firstname}}</h5>
            <div class="card-body">
              <ul>
                <li>Pseudo :  {{ renderuser.user.username}} </li>
                <li>Email : {{ renderuser.user.email}} </li>
                <li>Ville : {{ renderuser.user.localisation}}</li>
              </ul>
            </div>
          </div>
          </div>
        </div>

      </div>
    </div>

    <div class="row">
        <div class="col-sm-3">
            <div class="card">
              <div class="card-body">
                <h5>Diplomes et formations</h5>
                  <ul class="list-group list-group-flush">
                    <li class="list-group-item" v-for="course in renderuser.courses" :key="course.id">
                      <strong>Titre</strong> : {{ course.name }} <br>
                      <strong>Etablissement</strong> : {{ course.institution }}
                      </li>
                  </ul>
              </div>
            </div>
        </div>
        <div class="col-sm-9">
            <div class="card">
              <div class="card-body">
                <h5> Services proposés</h5>
                <div class="row row-cols-1 row-cols-md-4 g-4">
                  <div class="card" v-for="service in renderuser.services" :key="service.id">
                    <img class="card-img-top" src="https://www.ricoh-europe.com/media/Gartner%20Report%20Download%20-%20Thumbnail_tcm100-32383.jpg" alt="Card image cap">
                    <div class="card-body">
                      <h5 class="card-title">{{ service.name }}</h5>
                      <p class="card-text">{{ service.price }} € par heure</p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
        </div>
    </div>

  </div>
</template>



<script>
import API from '../../api'

export default {
  data (){
    return {
      userData : {}
    }
  },
  computed:{
    renderuser(){
      this.$store.dispatch('users/userProfiler',{id:this.$route.params.id})
      return this.$store.getters["users/user"]
    }
  },
 
}
</script>